Subject: bug#73812: 30.0.91; ERC 5.6.0.30.1: Customizing erc-modules loads ERC when starting Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Nov 2024 09:21:03 +0200

> From: "J.P." <[email-masked]>
> Cc: [email-masked], [email-masked], Eli Zaretskii <[email-masked]>
> Date: Fri, 01 Nov 2024 17:49:43 -0700
> 
> Dear auxiliary maintainers,
> 
> It seems Eli has tired of my nagging or is otherwise indisposed when it
> comes to this issue.

I have not.  But you made the mistake of quoting only a little bit
from the previous message, from which I couldn't even understand those
were my words.  And I generally avoid commenting on changes related to
ERC because I don't use it and am not familiar with its code.

In the future, if it's my/our decision that you are seeking, please
quote more of the context and ask for our response explicitly, to
avoid these misunderstandings.

> > Eli Zaretskii <[email-masked]> writes:
> >
> >>> All in all, I'd prefer to leave this alone in Emacs 30.  We have time
> >>> to try reverting this on master and seeing whether it's a net win or a
> >>> net loss, given the past history of the issue.  (AFAIU, if you remove
> >>> this line, some change is pertinent in the manual?)
> >
> > It's been reverted on master for ten days now with no complaints:
> >
> >   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=1854f275
> >
> > If that's long enough to qualify as a net win, can we proceed with a
> > backport?
> 
> It's been two weeks now since I was tasked with reverting this on master
> in order to assess the damage, of which none has since been reported.
> 
> Apologies if I'm out of line in pressing the issue, but I'm driven by a
> need to advocate for ERC's users, who've suffered greatly in the past
> due to my cowardliness in similar situations [1]. As such, I would very
> much appreciate a final verdict on this matter.

I'd prefer to wait a little longer for any fallout of reverting this
on master.  IME, two weeks is not long enough, as many people take
several weeks to update their builds.  Emacs 30 is not going to be
released tomorrow, so we still have time.

Let's talk about this in two more weeks, ok?